header {
  color: var(--slate);
  z-index: 9;
}

header .menu-container {
  display: contents;
}

header ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

/* Logo */
header .logo path, header .logo rect {
  fill: var(--slate);
}

/* Menus */
header .menu-container > .menu {
  display: flex;
  align-items: center;
}

header .menu-container > .menu > .menu-item, .mobile-menu-item {
  position: relative;
  text-transform: uppercase;
  font-family: 'Commuters Sans', sans-serif;
  letter-spacing: 0.05em;
  font-size: 0.8em;
	z-index: 1;
}

header .current-menu-item > a {
  color: var(--clay);
}

/* Sub-menus */
header .sub-menu {
  font-family: 'Americana', serif;
  text-transform: none;
}

header .sub-menu .menu-item {
  margin-top: 8px;
  letter-spacing: 0;
}

/* Desktop-only */
@media screen and (min-width: 768px) {
  header {
    padding: 64px 64px 32px 64px;
    max-width: 1440px;
    margin: auto;
  }
  .header-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  header .logo {
    height: 64px;
  }
  header .nav-container, header .mobile-menu-item {
    display: none;
  }
  header .menu-container > .menu {
    justify-content: space-between;
    width: 30%;
  }
  header .sub-menu {
    position: absolute;
    top: -16px;
    left: -16px;
    padding: 16px;
    width: 12rem;
    z-index: -1;
  }
  header .sub-menu::before {
    content: "";
    display: block;
    width: 1px;
    height: 48px;
    max-height: 0;
    background: var(--clay);
    margin: 32px 0 16px 2px;
    transition: max-height 250ms ease-in-out;
  }
  header .menu-item-has-children.show .sub-menu::before {
    max-height: 48px;
  }
  header .sub-menu .menu-item {
    position: relative;
    height: 1.25rem;
    overflow: hidden;
  } 
  header .sub-menu .menu-item a {
    transform: translateY(-100%);
    transition: transform 375ms ease-in-out;
    transition-delay: 0;
    display: block;
    white-space: nowrap;
  } 
  header .menu-item-has-children.show .sub-menu .menu-item a {
    transform: translateY(0);
    transition-delay: 125ms;
  }
  body:not(#home) header .menu-item-has-children.show {
    color: var(--clay);
  }
  body:not(#home) header .menu-item-has-children.show .sub-menu::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, 0.66);
    z-index: -1;
  }
}

/* Mobile-only */
@media screen and (max-width: 767px) {
  header {
    padding: 32px;
    position: relative;
  }
  .header-inner {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    align-items: center;
    row-gap: 1rem;
  }
  header .logo-container {
    z-index: 9;
    display: flex;
    justify-content: center;
  }
  header .logo {
    height: 40px;
    display: block;
  }
  .header-inner > .menu-container {
    display: none;
  }
  .mobile-menu-item {
    font-size: 0.6em;
    z-index: 9;
  }
  header.active #menu-btn {
    color: var(--clay);
  }
  .nav-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    max-height: 0;
    background: var(--eggshell);
    color: var(--teal);
    overflow: hidden;
    text-align: center;
    transition: max-height 250ms ease-in-out;
  }
  header.active .nav-container {
    max-height: 100vh;
  }
  header .menu-container > .menu {
    flex-direction: column;
    padding: 0 32px;
  }
  header .menu-container:first-of-type > .menu {
    margin-top: 12vh;
  }
  header .menu-container > .menu > .menu-item {
    margin-top: 16px;
  }
  header .menu-container > .menu > .menu-item-has-children > a > .dashicons {
    font-size: 1rem;
    width: 1rem;
    height: 1rem;
    margin-left: 2px;
    transition: transform 250ms ease-in-out;
  }
  header .menu-item-has-children.show {
    color: var(--clay);
  }
  header .menu-item-has-children.show .dashicons {
    transform: rotate(-180deg);
  }
  header .sub-menu {
    max-height: 0;
    overflow: hidden;
    transition: max-height 250ms ease-in-out;
  }
  header .menu-item-has-children.show .sub-menu {
    max-height: 100vh;
  }
  #menu-btn {
    padding: 0;
    border: none;
    background: none;
    color: inherit;
    text-align: right;
  }
}